List budget alerts
curl --request GET \
--url https://api.nops.io/v1/budgets/{id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 90,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
List budget alerts
GET
https://api.nops.io
/
v1
/
budgets
/
{id}
/
alerts
List budget alerts
curl --request GET \
--url https://api.nops.io/v1/budgets/{id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "alert-1",
"budgetId": "budget-1",
"thresholdType": "PERCENTAGE_OVER",
"thresholdValue": 90,
"triggerThresholdValue": null,
"alertFrequency": "MONTHLY",
"aggregation": "SINGLE",
"emailRecipients": [
"finops@example.com"
],
"chatChannels": [],
"slackWebhooks": [],
"slackMentions": null,
"planningIds": [],
"isActive": true,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Budget ID
Query Parameters
Maximum items to return (1–200, default 50).
Required range:
1 <= x <= 200Opaque cursor from a previous response's pagination.next_cursor.
Was this page helpful?
⌘I